<package name="org.scilab.modules.renderer.segsDrawing">
  <object name="SegsLineDrawerGL">
    <method name="display" returnType="void">
    </method>
    <method name="initializeDrawing" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="endDrawing" returnType="void">
    </method>
    <method name="show" returnType="void">
      <param type="int" name="figureIndex" />
    </method>
    <method name="destroy" returnType="void">
      <param type="int" name="parentFigureIndex" />
    </method>
    <method name="setLineParameters" returnType="void">
      <param type="float" name="thickness" />
      <param type="int" name="lineStyle" />
    </method>
    <method name="drawSegs" returnType="void">
      <param type="double[]" name="startXCoords" />
      <param type="double[]" name="endXCoords" />
      <param type="double[]" name="startYCoords" />
      <param type="double[]" name="endYCoords" />
      <param type="double[]" name="startZCoords" />
      <param type="double[]" name="endZCoords" />
      <param type="int[]" name="colors" />
    </method>
  </object>
</package>
